#ifndef _Handle_PDataStd_NamedData_HeaderFile
#define _Handle_PDataStd_NamedData_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PDF_Attribute_HeaderFile
#include <Handle_PDF_Attribute.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PDF_Attribute);
class PDataStd_NamedData;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PDataStd_NamedData);

class Handle(PDataStd_NamedData) : public Handle(PDF_Attribute) {
  public:

    Handle(PDataStd_NamedData)():Handle(PDF_Attribute)() {} 
    Handle(PDataStd_NamedData)(const Handle(PDataStd_NamedData)& aHandle) : Handle(PDF_Attribute)(aHandle) 
     {
     }

    Handle(PDataStd_NamedData)(const PDataStd_NamedData* anItem) : Handle(PDF_Attribute)((PDF_Attribute *)anItem) 
     {
     }

    Handle(PDataStd_NamedData)& operator=(const Handle(PDataStd_NamedData)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PDataStd_NamedData)& operator=(const PDataStd_NamedData* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PDataStd_NamedData* operator->() const 
     {
      return (PDataStd_NamedData *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PDataStd_NamedData) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
